package com.hzs.scm.sale.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.common.domain.scm.sale.IcSaleoutB;
import com.hzs.common.domain.scm.sale.ext.IcSaleoutBExt;
import com.hzs.scm.sale.mapper.IcSaleoutBMapper;
import com.hzs.scm.sale.service.IIcSaleoutBService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 销售出库明细 服务实现类
 * </p>
 *
 * @author hzs
 * @since 2023-11-29
 */
@Service
public class IcSaleoutBServiceImpl extends ServiceImpl<IcSaleoutBMapper, IcSaleoutB> implements IIcSaleoutBService {

    @Override
    public List<IcSaleoutBExt> queryBackSaleOutBiByPk(Integer orderType, List<IcSaleoutBExt> saleoutBiExtList) {
        return baseMapper.queryBackSaleOutBiByPk(orderType, saleoutBiExtList);
    }

    @Override
    public List<Long> querySaleOutBiSql(Integer size) {
        return baseMapper.querySaleOutBiSql(size);
    }

    @Override
    public void insertSaleOutBiByList(List<IcSaleoutBExt> saleOutBiExtList) {
        baseMapper.insertSaleOutBiByList(saleOutBiExtList);
    }

    @Override
    public List<IcSaleoutBExt> querySaleOutBiExtByPk(Integer pkCountry, Long pkSaleOut) {
        return baseMapper.querySaleOutBiExtByPk(pkCountry, pkSaleOut);
    }
}
